Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614726 - >=sys-fs/lvm2-2.02.166-r2 sys-cluster/sanlock keyword request
Summary: >=sys-fs/lvm2-2.02.166-r2 sys-cluster/sanlock keyword request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 616198 616286 617988 648556
Blocks:
  Show dependency tree
 
Reported: 2017-04-05 07:34 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2019-02-12 20:37 UTC (History)
3 users (show)

See Also:
Package list:
sys-cluster/sanlock-3.6.0 sys-fs/lvm2-2.02.183
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2017-04-05 07:34:02 UTC
Some keywords in >=sys-fs/lvm2-2.02.166-r1 were dropped due to new optional dependency on sys-cluster/sanlock as mentioned in bug #604334.
Comment 1 Stabilization helper bot gentoo-dev 2017-04-05 08:01:19 UTC
An automated check of this bug failed - the following atoms are unknown:

>=sys-fs/lvm2-2.02.166-r2
sys-cluster/sanlock

Please verify the atom list.
Comment 2 Michael Weber (RETIRED) gentoo-dev 2017-04-19 11:38:38 UTC
add ~arm ~arm64 ~ppc ~ppc64 keywords (bug 614726).
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2017-07-12 08:14:00 UTC
~ia64 keyworded
Comment 4 Matt Turner gentoo-dev 2017-12-05 06:53:44 UTC
Not doing this until bug 617988 is fixed.
Comment 5 Sergei Trofimovich (RETIRED) gentoo-dev 2018-01-02 19:56:36 UTC
~sparc keyworded (thanks to Rolf Eike Beer)
Comment 6 Arfrever Frehtes Taifersar Arahesis 2018-02-21 19:51:33 UTC
~sparc keyword not yet restored in sys-fs/lvm2-2.02.166-r2.
Comment 7 Arfrever Frehtes Taifersar Arahesis 2018-02-21 19:56:00 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #6)
> ~sparc keyword not yet restored in sys-fs/lvm2-2.02.166-r2.

I meant >=sys-fs/lvm2-2.02.166-r2 (i.e. all newer ebuilds).
Comment 8 Matt Turner gentoo-dev 2018-03-17 19:44:24 UTC
added ~alpha
Comment 9 Matt Turner gentoo-dev 2018-03-26 03:56:05 UTC
added ~mips
Comment 10 Larry the Git Cow gentoo-dev 2018-05-19 18:15:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e6f6b83a718f8dca1765b5350d81812e5367abd

commit 3e6f6b83a718f8dca1765b5350d81812e5367abd
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-05-19 18:01:35 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-05-19 18:15:04 +0000

    sys-fs/lvm2: keyworded 2.02.173 for sparc
    
    Bug: https://bugs.gentoo.org/614726
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    RepoMan-Options: --include-arches="sparc"

 sys-fs/lvm2/lvm2-2.02.173.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=054b894469c1f799c32a62c3ffbcaeb3d02d02b2

commit 054b894469c1f799c32a62c3ffbcaeb3d02d02b2
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-05-19 18:00:40 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-05-19 18:15:04 +0000

    sys-fs/lvm2: keyworded 2.02.172 for sparc
    
    Bug: https://bugs.gentoo.org/614726
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    RepoMan-Options: --include-arches="sparc"

 sys-fs/lvm2/lvm2-2.02.172.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13c4dc9853dc413ec0d3c5aa8607fde7ae1e2146

commit 13c4dc9853dc413ec0d3c5aa8607fde7ae1e2146
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-05-19 17:59:46 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-05-19 18:15:04 +0000

    sys-fs/lvm2: keyworded 2.02.171 for sparc
    
    Bug: https://bugs.gentoo.org/614726
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    RepoMan-Options: --include-arches="sparc"

 sys-fs/lvm2/lvm2-2.02.171.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 11 Sergei Trofimovich (RETIRED) gentoo-dev 2018-06-06 15:49:06 UTC
commit 5ef1fc70af65f328de0861fb4c9646943cd627b9
Author: Jeroen Roovers <jer@gentoo.org>
Date:   Wed Jun 6 07:58:53 2018 +0200

    sys-fs/lvm2: Mark ~hppa too.
Comment 12 Arfrever Frehtes Taifersar Arahesis 2018-06-06 20:24:09 UTC
https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d1d8565c3606e8e624ea9a5bae85b1cfb3ba0ee

commit 7d1d8565c3606e8e624ea9a5bae85b1cfb3ba0ee
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: Wed Jun 6 07:50:58 2018 +0200
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: Wed Jun 6 07:50:58 2018 +0200

    sys-cluster/sanlock: Mark ~hppa too.
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-12 12:37:13 UTC
~sh keyworded
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-12 12:38:34 UTC
~s390 keyworded
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-12 12:39:22 UTC
oh newer version exists
Comment 16 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-12 12:40:55 UTC
~s390 keyworded
Comment 17 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-12 12:42:23 UTC
~sh keyworded